Skip to main content
POST
Create team role

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

The ID of the team

organization_id
string
required

Body

application/json

The role configuration to create

role
enum<string>
required

The role level to grant (admin, editor, monitor_editor, or viewer)

Available options:
admin,
editor,
monitor_editor,
viewer
scope
RoleScopeRequest · object | null

The scope for this role. If not provided, creates an organization-wide role

Response

Successful Response

Team's access role to a resource, returned by public API.

id
string<uuid>
required

The unique identifier of this role assignment

role
enum<string>
required

The role level (admin, editor, monitor_editor, or viewer)

Available options:
admin,
editor,
monitor_editor,
viewer
scope
RoleScope · object
required

The scope this role applies to

created_at
string<date-time>
required

When the role was created

updated_at
string<date-time>
required

When the role was last updated